Jboss Tools – Eclipse Helios

Install the most recent JBoss AS tools.

enter image description here

This will get you the JBoss-provided server plugins, including the one supporting 6.0, along with several easing JSF development plugins, such as EL autocompletion.

You only need to ensure that you’re using Eclipse Helios SR1 (at least, the most recent WTP version). The initial Helios version had some vague problems with JBoss AS Tools.

http://stackoverflow.com/questions/4057328/how-do-i-install-jboss-6-in-eclipse-helios-jee/4057346#4057346